Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class OptInCachingTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractComponentFactoryTest
          org.picocontainer.behaviors.OptInCachingTestCase

    public class OptInCachingTestCase

extends AbstractComponentFactoryTest

Author:
  rafal@caltha.pl

Field Summary

Fields inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`picoContainer`

Constructor Summary
`OptInCachingTestCase()`

Method Summary
`protected org.picocontainer.ComponentFactory` | `createComponentFactory()`
`void` | `testAddAdapterNoesNotUseImplementationHidingBehaviorWhenNoCachePropertyIsSpecified()`
`void` | `testAddAdapterUsesCachingBehaviorWithHideImplProperty()`
`void` | `testAddAdapterUsesDoesNotUseCachingBehaviorByDefault()`
`void` | `testAddComponentDoesNotUseCachingBehaviorByDefault()`
`void` | `testAddComponentNoesNotUseOptinBehaviorWhenNoCachePropertyIsSpecified()`
`void` | `testAddComponentUsesOptinBehaviorWithRedundantCacheProperty()`

Methods inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`setUp, testEquals, testRegisterComponent, testUnregisterComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptInCachingTestCase

    public OptInCachingTestCase()

Method Detail

### createComponentFactory

    protected org.picocontainer.ComponentFactory createComponentFactory()

  Specified by:
    `createComponentFactory` in class `AbstractComponentFactoryTest`

### testAddComponentDoesNotUseCachingBehaviorByDefault

    public void testAddComponentDoesNotUseCachingBehaviorByDefault()

### testAddComponentUsesOptinBehaviorWithRedundantCacheProperty

    public void testAddComponentUsesOptinBehaviorWithRedundantCacheProperty()

### testAddComponentNoesNotUseOptinBehaviorWhenNoCachePropertyIsSpecified

    public void testAddComponentNoesNotUseOptinBehaviorWhenNoCachePropertyIsSpecified()

### testAddAdapterUsesDoesNotUseCachingBehaviorByDefault

    public void testAddAdapterUsesDoesNotUseCachingBehaviorByDefault()

### testAddAdapterUsesCachingBehaviorWithHideImplProperty

    public void testAddAdapterUsesCachingBehaviorWithHideImplProperty()

### testAddAdapterNoesNotUseImplementationHidingBehaviorWhenNoCachePropertyIsSpecified

    public void testAddAdapterNoesNotUseImplementationHidingBehaviorWhenNoCachePropertyIsSpecified()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.